Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230902 - Wrong desktop file category
Summary: Wrong desktop file category
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dosbox
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-04 15:30 UTC by Andrea Musuruane
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-27 23:02:59 UTC


Attachments (Terms of Use)

Description Andrea Musuruane 2007-03-04 15:30:52 UTC
Description of problem:
The current desktop Categories field is set to "Application;Utility;". It is
wrong, accordingly to the latest Freedesktop specification, available here:

http://standards.freedesktop.org/menu-spec/latest/apa.html 

For emulators, you should use a main category like Game or System, and an
additional Category of Emulator. Thus for a system emulator like dosbox the
proper categories field would be:

Categories=System;Emulator;

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install dosbox
2. 
3.
  
Actual results:
Desktop entry is under the Accessories menu

Expected results:
Desktop entry should be under the system menu

Additional info:

Comment 1 Andrea Musuruane 2007-04-27 14:45:06 UTC
I just watched the CVS and I have to report this bug has not been closed correctly.

You changed the categories to:
Categories=Application;System;Emulator;

As you can read here:
http://standards.freedesktop.org/menu-spec/latest/apa.html 
Application is neither a Main Category nor an Additional Category.

Just drop it and leave:
Categories=System;Emulator;

I also had a look at the spec file. You should also drop --add-category=X-Fedora
from desktop-file-install. This requirement has been removed from the packaging
guidelines some time ago.

You should also add hicolor-icon-theme to Requires.
This is an empty package owning the /usr/share/icons/hicolor dir hierarchy,
sortoff like the filesystem package but then for icons. Note that all packages
which have an icon should Require this to ensure proper icon dir ownership.



Comment 2 Andreas Bierfert 2007-04-27 15:05:20 UTC
I wonder if Applications really should be removed:

/usr/share/applications $ grep Categories= * | grep Application | wc
    125     125    9772
/usr/share/applications $ ls *desktop | wc                                     
           
    176     176    4463

So either a lot of dekstop entries are plain wrong or it is ok to do so. Which I
think it is.

As for --add-category=X-Fedora and hicolor-icon-theme I tend to agree to change
that.



Comment 3 Andrea Musuruane 2007-04-27 15:54:19 UTC
(In reply to comment #2)
> So either a lot of dekstop entries are plain wrong or it is ok to do so. Which I
> think it is.

The former. But if you don't agree with me, please discuss this in the
maintainers  list.

Andrea.


Comment 4 Andreas Bierfert 2007-04-27 22:18:06 UTC
I am not saying I disagree with you. I am happy that you pointed me to it. I
just wonder if not bugs should be filled against all packages that do this. I at
least missed that Applications should be dropped and I am quiet sure that it
once was the 'right' way to do this.


Note You need to log in before you can comment on or make changes to this bug.